﻿							/* Affichage_Header Body Menu fonts presets*/

/*structure Html*/
html, body {
	min-height: 100% !important;
	height: auto;
	top:  0;
	bottom: 0;
	left: 0;
	right: 0;
	background-color: var(--main-body-color);
	padding: 0;
	margin: 0;
}
header {
	top: 0px;
	margin-top: 0px;
}
main {
	margin:0;
	width: 100%;
	height: 100%;
}

footer {
	position: relative;
	background-color: var(--foot-bg-color);
	height: 210px;
	width: 100%;
	margin: auto;
	bottom: 0;
	padding: 5px;
}
/*Text-align*/
.txt-align-left {
	text-align: left;
}
.txt-align-center {
	text-align: center;
}
.txt-align-right {
	text-align: right;
}
/*Img-align*/
.img-align-left {
	text-align: left;
}
.img-align-center {
	text-align: center;
}
.img-align-right {
	text-align: right;
}

/*section main*/
.container {
	background-color: var(--main-section-color);
	padding-top: 5em;
	padding-bottom: 50px;
	margin: auto;
	color: var(--main-text-color);
	width: 100%;
	min-height: 100vh;
	height: auto;
}
.hidden {
	visibility: hidden;
}
.visible {
	visibility: visible;
}
/*Polices*/
h1 {
	color: var(--main-h1-text-color);
	text-align: center;
	margin-top: 60px;
	margin-bottom: 50px;
}
h2, h3, h4 {
	color: var(--main-h2-text-color);
	margin-bottom: 20px;
}
p {
	color: var(--main-text-color);
}

img {
	border-radius: 10px;
	max-width: 100%;
	margin: 5px;
}

article {
	width: 100%;
	color: var(--main-text-color);
}

/* Navigation Menu */
* {
	box-sizing: border-box; 
	outline: none;
	margin: 0;
	padding: 0;
  }

  ul {
	list-style: none;
  }
/* logo Enseigne*/
.navbar__logo , img {
	
	max-height: 90%;
	height: 100%;
	overflow: hidden;
}
.Logo_img {
	display: flex;
	margin: auto;
	min-height: 0;
	max-height: 85px;
	width: auto;
}
.navbar__logo a {
	font-family: var(--navbar-txtlogo-font);
    font-style: italic;
	color: var(--navbar-txtlogo-color);
	text-align: center;
	font-size: var(--navbar-txtlogo-size);
	text-decoration: none;
}
/* Menu barre police et burger désactivé */
.navbar { 
	display: flex;
	align-items: center; 
	justify-content: space-between;
	padding-left: 100px;
	padding-right: 40px;
	background: var(--navbar-bg-color);
	z-index: 3;


  }
  
  /* dispositions en ligne lien barre */
  .navbar__liens { 
	display: flex;  
  }
  /* espacement entre les liens */
  .navbar__lien {
	padding: 0 20px;
  }
  /* couleur des liens */
  .navbar__lien > a {
	font-family: var(--navbar-txtmenu-font);
	font-size: var(--navbar-txtmenu-size);
	color: var(--navbar-txtmenu-color);
	text-decoration: none;
  }

  /* menu burger désactivé */
  .burger {
	display:none;
  }
/* Boutons lien style */
.btn_style {
	background-color: var(--link-bg-color);
	color: var(--link-font-color);
	border-color: var(--link-bg-color);
	height: 30px;
	width: 250px;
	font-family: arial;
	font-size: 15px;
	font-weight: bold;
	border-radius: 5px;
	margin: 20px;
	/* margin: max(30px);*/
}
.btn_style:hover {
	background-color: var(--linkhover-bg-color); 
	border: 1px;
	border-color: white;
	color: var(--linkhover-font-color);
	}
.liens {
	text-decoration: underline;
	color: var(--main-text-color);
}
a:hover {
	text-decoration: none;
	color: var(--linkhover-font-color);
}
